@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500;700;900&display=swap');

:root{
    --white: #ddd;
    --dark: #111;
    --darkGrey: #474b4f;
    --lightGrey: #6b6e70;
    --red: #c23232;
    --darkred: #892f2f;
    --transition: all 0.5s ease;
}
*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'Roboto', sans-serif;
}
html {
	scroll-behavior: smooth;
}
body{
    line-height: 1.6;
}
img{
    width: 100%;
    display: block;
}
ul li{
    list-style: none;
}
a{
    text-decoration: none;
    color: #000;
}
h1, h2, h3, h4, h5, h6, p{
    margin: 15px 0;
}

/********************** Utility Classes *******************/
.flex{
    display: flex;
    justify-content: center;
    align-items: center;
}
.container{
    width: 90vw;
    margin: 0 auto;
}
.btn{
    background: var(--darkred);
    border: none;
    display: block;
    width: 150px;
    text-align: center;
    color: var(--darkred);
    text-transform: uppercase;
    background: transparent;
    font-size: 15px;
    padding: 12px;
    border: 2px solid var(--darkred);
    border-radius: 25px;
    margin: 15px 0;
    transition: var(--transition);
}
.btn:hover{
    background: var(--darkred);
    color: #fff;
}
.active{
    color: var(--red)!important;
}


/**************** end of Utility Classes *******************/

/********************** Header styling *********************/
#logo {
    width: 50px;
    height: 50px;
    margin-right: 300px;
  }
.header{
    min-height: 100vh;
    background: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)), url("images/bg.jpg") center/cover no-repeat;
    color: #fff;
}
.top-nav a{
    color: #fff;
}
.brand-and-navBtn{
    background: #000;
    position: relative;
    z-index: 999;
    height: 90px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-weight: 500;
    font-size: 24px;
    padding: 15px 25px;
    color: var(--white);
}
.brand-name{
    font-family: 'Kdam Thmor Pro', sans-serif;
    letter-spacing: 5px;
    cursor: pointer;
}
.navBtn{
    width: 40px;
    height: 40px;
    border: 1px solid var(--white);
    cursor: pointer;
}
.navBtn:hover{
    background: #fff;
    color: #000;
    transition: var(--transition);
}
.top-nav{
    background: #000;
    transform: translateY(-600px);
    transition: var(--transition);
}
.showNav{
    transform: translateY(0);
}
.search-icon{
    display: none;
}
.top-nav ul li{
    padding: 10px 0;
}
.top-nav ul a{
    position: relative;
    font-weight: 500;
    font-size: 18px;
    text-align: center;
    display: block;
}
.top-nav ul a::after{
    content: "";
    height: 2px;
    background: var(--red);
    position: absolute;
    bottom: -5px;
    left: 50%;
    transform: translateX(-50%);
    width: 0;
    transition: var(--transition);
}
.top-nav ul a:hover::after{
    width: 100px;
}
.about{
    margin-top: -160px;
}
.about-content img{
    width: 250px;
    height: 250px;
    border-radius: 50%;
    /* margin-top: 150px; */
}
.about-img{
    background: red;
    width: 260px;
    height: 260px;
    margin: 0 auto;
    border-radius: 50%;
    margin-top: 40px;
}
.about-content h2{
    font-size: 48px;
    text-align: center;
    margin-bottom: 35px;
    color: var(--red);
    margin-top: 20px;
}
.about-content h3{
    color: #fff;
    font-size: 30px;
    font-weight: 100;
    background: rgba(255, 255, 255, 0.1);
    width: 400px;
    margin: 35px auto;
    text-align: center;
    margin-top: 50px;
}
blockquote{
    font-size: 20px;
    font-weight: 300;
    opacity: 0.9;
    width: 60vw;
    margin: 45px auto 15px auto;
    text-align: center;
}
blockquote span{
    font-size: 14px;
    text-transform: uppercase;
    color: var(--darkGreen);
    font-weight: 300;
    letter-spacing: 5px;
    display: block;
}
.social-icons{
    width: 350px;
    margin: 40px auto 0 auto;
    padding-bottom: 30px;
}
.social-icons ul a{
    color: #fff;
    font-size: 30px;
    display: block;
    width: 50px;
    height: 50px;
    border: 1px solid #fff;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: var(--transition);
}
.social-icons ul{
    display: flex;
    justify-content: space-around;
}
.social-icons ul a:hover{
    background: var(--red);
    border-color: var(--red);
}

/********************* End of Header ***********************/

/*********************** Main section ********************/

/**************** index.html *************/

/* section one */
.section-one{
    margin: 40px 0;
    min-height: 100vh;
}
.sec-one-left{
    height: 100vh;
    background: url("images/project-main.jpg") center/cover no-repeat;
    box-shadow: 0px 0px 14px -1px rgba(0, 0, 0, 0.75);
    -webkit-box-shadow: 0px 0px 14px -1px rgba(0, 0, 0, 0.75);
    -moz-box-shadow: 0px 0px 14px -1px rgba(0, 0, 0, 0.75);
}
.sec-one-left div{
    color: #fff;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    padding: 30px;
}
.sec-one-left div h3{
    font-size: 28px;
    opacity: 0.9;
}
.sec-one-left div p{
    font-weight: 300;
    opacity: 0.8;
}
.sec-one-right h3{
    color: var(--lightGrey);
}
.sec-one-right >h3{
    text-align: center;
}

.sec-one-right >h4{
    text-align: center;
}
.sec-one-right p{
    opacity: 0.9;
    font-weight: 300;
}
.work-content{
    margin: 50px 0;
}
.work-imgs{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-column-gap: 20px;
}
.work-img-1{
    background: linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.6)), url("images/porject-1.jpg") center/cover no-repeat;
    height: 400px;
    transition: var(--transition);
}
.work-img-2{
    background: linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.6)), url("images/porject-2.jpg") center/cover no-repeat;
    height: 400px;
    transition: var(--transition);
}
.work-imgs div:hover{
    box-shadow: 0 0 8px #000;
    -webkit-box-shadow: 0 0 8px #000;
    -moz-box-shadow: 0 0 8px #000;
}


/* section two */
.section-two{
    margin: 40px 0;
}
.section-two h2{
    text-align: center;
    font-size: 40px;
}
.section-two span{
    color: var(--darkGrey);
    text-align: center;
    display: block;
    font-size: 20px;
    margin-bottom: 30px;
}
.insta-imgs{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}
.insta-imgs > div{
    position: relative;
}
.icon-overlay{
    position: absolute;
    color: #fff;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    font-size: 50px;
    background: rgba(134, 194, 50, 0.4);
    opacity: 0;
    transition: var(--transition);
}
.insta-imgs > div:hover .icon-overlay{
    opacity: 1;
}

/************* end of index.html ***********/



/**************** gallery.html ***************/

/* section three */
.section-three{
    margin: 40px 0;
}
.single-img{
    position: relative;
    margin: 10px;
}
.single-img-content{
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    color: #fff;
    padding: 5px 30px;
    background: rgba(0, 0, 0, 0.7);
}
.single-img-content h3{
    font-size: 18px;
    font-weight: 300;
    text-transform: uppercase;
}

/************** end of gallery.html ***********/



/****************** blog.html ****************/

/* section four */
.section-four{
    margin: 40px 0;
}
.blog{
    margin: 40px 0;
}
.blog-content{
    padding: 25px;
    background: #f7f7f7;
}
.blog span{
    display: block;
}
.badge{
    background: var(--red);
    width: 140px;
    border-radius: 5px;
    padding: 5px 0;
    color: #fff;
    text-align: center;
    margin-bottom: 8px;
}
.misc-info{
    font-size: 14px;
    color: var(--dark);
    margin-top: 16px;
}
.blog-title{
    font-size: 20px;
    font-weight: 900;
}
.blog-text{
    font-weight: 300;
}

/*************** end of blog.html ***********/



/*************** contact.html **************/

/* section five */
.section-five{
    margin: 40px 0;
}
.section-five .container div{
    margin: 20px 0;
}
.contact-top{
    text-align: center;
}
.contact-top h3{
    font-size: 28px;
}
.contact-top p{
    font-weight: 300;
    width: 70%;
    margin: 0 auto;
}
.contact-middle div{
    text-align: center;
    padding: 25px 0;
    background: var(--dark);
    color: #fff;
}
.contact-middle div span{
    display: block;
}
.contact-icon{
    font-size: 30px;
}
.contact-middle div span:nth-child(2){
    font-size: 18px;
    font-weight: bold;
}
.contact-middle div p{
    font-weight: 300;
    opacity: 0.7;
}
.contact-bottom{
    margin-top: 50px!important;
}
.form input[type = "text"], .form input[type = "email"], .form textarea{
    width: 100%;
    font-size: 16px;
    padding: 10px 15px;
    margin: 10px 0;
    border: 1px solid var(--red);
    outline: none;
    border-radius: 5px;
}
.contact-bottom .form{
    padding: 0 20px;
}

/************** end of contact.html **********/



/******************* Footer Styling *****************/

.footer{
    background: var(--dark);
    color: #fff;
    padding: 40px 0;
    text-align: center;
}
.footer-container > div{
    margin: 40px 0;
}
.footer-container h2{
    color: var(--red);
    font-size: 36px;
    font-weight: 500;
    letter-spacing: 7px;
}
.footer-container p{
    opacity: 0.7;
}
.subs{
    background: #000;
    width: 350px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 30px auto;
}
.subs i{
    font-size: 26px;
    flex: 10%;
    display: block;
}
.subs input{
    flex: 60%;
    background: transparent;
    border: none;
    font-size: 16px;
    padding: 0 5px;
    outline: 0;
    color: #fff;
}
.subs button{
    flex: 30%;
    font-size: 16px;
    padding: 15px 0;
    font-weight: bold;
    background: var(--red);
    border: none;
    transition: var(--transition);
    cursor: pointer;
}
.subs button:hover{
    color: #fff;
}
.footer > p{
    text-align: center;
    font-size: 14px;
}

/******************* end of footer ****************/



/***************** Media Queries *****************/

@media screen and (min-width: 678px){
    /* section five */
    .contact-middle{
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-column-gap: 20px;
    }
}

@media screen and (min-width: 800px){
    /* section two */
    .insta-imgs{
        grid-template-columns: repeat(4, 1fr);
    }

    /* section three */
    .gallery{
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }

    /* section four */
    .blog-wrapper-sm{
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-gap: 20px;
    }
    
}

@media screen and (min-width: 992px){
    /* header & footer */
    .nav-section{
        display: flex;
        justify-content: space-between;
    }
    .navBtn{
        display: none;
    }
    .brand-and-navBtn{
        flex: 0 0 10%;
        background: none;
    }
    .top-nav{
        flex: 0 1 80%;
        display: flex;
        justify-content: flex-end;
        align-items: center;
        transition: transform 0s ease;
        transform: translateY(0);
        background: transparent;
    }
    .top-nav ul{
        display: flex;
    }
    .top-nav ul li{
        margin-right: 30px;
        margin-left: 30px;
    }
    .about{
        margin-top: 0;
    }
    .search-icon{
        flex: 0 0 10%;
        display: block;
        display: flex;
        justify-content: center;
        align-items: center;
        font-size: 24px;
        cursor: pointer;
        transition: var(--transition);
    }
    .search-icon i:hover{
        transform: scale(1.2);
    }

    /* section five */
    .contact-middle{
        grid-template-columns: repeat(4, 1fr);
    }
    .contact-bottom{
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-column-gap: 40px;
    }
}


@media screen and (min-width: 1000px){
    /* section one */
    .section-one .container{
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-column-gap: 50px;
    }
    .sec-one-left{
        align-self: center;
    }
    .work-content{
        margin-top: 0;
    }
    .sec-one-left{
        height: 100%;
    }

    /* section four */
    .blog-wrapper-lg{
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-gap: 20px;
    }

    /* footer */
    .footer-container{
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-gap: 20px;
    }
}

@media screen and (min-width: 1200px){
    /* footer */
    .footer-container > div{
        width: 60%;
        margin-left: auto;
        margin-right: auto;
    }

    /* section three */
    .gallery{
        grid-template-columns: repeat(3, 1fr);
    }
}

@media screen and (min-width: 1400px){
    /* section four */
    .blog-wrapper-sm{
        grid-template-columns: repeat(4, 1fr);
    }
}

/*************** extra small sized screen ******************/

@media screen and (max-width: 500px){
    /* overall styling */
    .header{
        padding-bottom: 30px;
    }
    .social-icons{
        display: none;
    }
    .about-content h3{
        width: 100%;
    }
    .about-content blockquote{
        font-size: 16px;
        width: 100%;
    }
    .subs{
        width: 280px;
    }
    .subs i{
        display: none;
    }
    .subs input{
        width: 100%;
    }
    .subs button{
        padding-left: 8px;
        padding-right: 8px;
    }
    h2{
        font-size: 30px!important;
    }
    h3{
        font-size: 20px!important;
    }
    p{
        font-size: 15px;
    }
    .btn{
        font-size: 14px;
        padding: 8px 0;
    }
    .work-imgs{
        grid-template-columns: 1fr;
        grid-row-gap: 20px;
    }
}

/*--------------------------------------------------------------
# Back to top button
--------------------------------------------------------------*/
.back-to-top {
    position: fixed;
    visibility: hidden;
    opacity: 0;
    right: 15px;
    bottom: 15px;
    z-index: 996;
    background: #bb0505;
    width: 40px;
    height: 40px;
    border-radius: 50px;
    transition: all 0.4s;
  }
  
  .back-to-top i {
    font-size: 28px;
    color: #fff;
    line-height: 0;
  }
  
  .back-to-top:hover {
    background: #e30606;
    color: #fff;
  }
  
  .back-to-top.active {
    visibility: visible;
    opacity: 1;
  }

/*--------------------------------------------------------------
# Preloader
--------------------------------------------------------------*/
#preloader {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 9999;
    overflow: hidden;
    background: #fff;
  }
  
  #preloader:before {
    content: "";
    position: fixed;
    top: calc(50% - 30px);
    left: calc(50% - 30px);
    border: 6px solid #0563bb;
    border-top-color: #fff;
    border-bottom-color: #fff;
    border-radius: 50%;
    width: 60px;
    height: 60px;
    animation: animate-preloader 1s linear infinite;
  }
  
  @keyframes animate-preloader {
    0% {
      transform: rotate(0deg);
    }
  
    100% {
      transform: rotate(360deg);
    }
  }
  
  /*--------------------------------------------------------------
  # Disable aos animation delay on mobile devices
  --------------------------------------------------------------*/
  @media screen and (max-width: 768px) {
    [data-aos-delay] {
      transition-delay: 0 !important;
    }
  }

/*--------------------------------------------------------------
# Sections General
--------------------------------------------------------------*/
section {
    padding: 60px 0;
    overflow: hidden;
  }
  
  .section-title {
    text-align: center;
    padding-bottom: 30px;
  }
  
  .section-title h2 {
    font-size: 32px;
    font-weight: bold;
    text-transform: uppercase;
    margin-bottom: 20px;
    padding-bottom: 20px;
    position: relative;
    color: #a10202;
  }
  
  .section-title h2::before {
    content: "";
    position: absolute;
    display: block;
    width: 120px;
    height: 1px;
    background: #000000;
    bottom: 1px;
    left: calc(50% - 60px);
  }
  
  .section-title h2::after {
    content: "";
    position: absolute;
    display: block;
    width: 40px;
    height: 3px;
    background: #bb0505;
    bottom: 0;
    left: calc(50% - 20px);
  }
  
  .section-title p {
    margin-bottom: 0;
  }

/*--------------------------------------------------------------
# Portfolio
--------------------------------------------------------------*/
.portfolio .portfolio-item {
    margin-bottom: 30px;
  }
  
  .portfolio #portfolio-flters {
    padding: 0;
    margin: 0 auto 25px auto;
    list-style: none;
    text-align: center;
    background: #fff;
    border-radius: 50px;
    padding: 2px 15px;
  }
  
.portfolio #portfolio-flters li {
cursor: pointer;
display: inline-block;
padding: 10px 15px;
font-size: 14px;
font-weight: 600;
line-height: 1;
text-transform: uppercase;
color: #000000;
margin-bottom: 5px;
transition: all 0.3s ease-in-out;
}

.portfolio #portfolio-flters li:hover,
.portfolio #portfolio-flters li.filter-active {
color: #bb0505;
}

.portfolio #portfolio-flters li:last-child {
margin-right: 0;
}

.portfolio .portfolio-wrap {
transition: 0.3s;
position: relative;
overflow: hidden;
z-index: 1;
background: rgba(69, 80, 91, 0.8);
}

.portfolio .portfolio-wrap::before {
content: "";
background: rgba(255, 255, 255, 0.7);
position: absolute;
left: 30px;
right: 30px;
top: 30px;
bottom: 30px;
transition: all ease-in-out 0.3s;
z-index: 2;
opacity: 0;
}

.portfolio .portfolio-wrap .portfolio-info {
opacity: 0;
position: absolute;
top: 0;
left: 0;
right: 0;
bottom: 0;
text-align: center;
z-index: 3;
transition: all ease-in-out 0.3s;
display: flex;
flex-direction: column;
justify-content: center;
align-items: center;
}

.portfolio .portfolio-wrap .portfolio-info::before {
display: block;
content: "";
width: 48px;
height: 48px;
position: absolute;
top: 35px;
left: 35px;
border-top: 3px solid #d7dce1;
border-left: 3px solid #d7dce1;
transition: all 0.5s ease 0s;
z-index: 9994;
}

.portfolio .portfolio-wrap .portfolio-info::after {
display: block;
content: "";
width: 48px;
height: 48px;
position: absolute;
bottom: 35px;
right: 35px;
border-bottom: 3px solid #d7dce1;
border-right: 3px solid #d7dce1;
transition: all 0.5s ease 0s;
z-index: 9994;
}

.portfolio .portfolio-wrap .portfolio-info h4 {
font-size: 20px;
color: #45505b;
font-weight: 600;
}

.portfolio .portfolio-wrap .portfolio-info p {
color: #45505b;
font-size: 14px;
text-transform: uppercase;
padding: 0;
margin: 0;
}

.portfolio .portfolio-wrap .portfolio-links {
text-align: center;
z-index: 4;
}

.portfolio .portfolio-wrap .portfolio-links a {
color: #45505b;
margin: 0 2px;
font-size: 28px;
display: inline-block;
transition: 0.3s;
}

.portfolio .portfolio-wrap .portfolio-links a:hover {
color: #f91414;
}

.portfolio .portfolio-wrap:hover::before {
top: 0;
left: 0;
right: 0;
bottom: 0;
opacity: 1;
}

.portfolio .portfolio-wrap:hover .portfolio-info {
opacity: 1;
}

.portfolio .portfolio-wrap:hover .portfolio-info::before {
top: 15px;
left: 15px;
}

.portfolio .portfolio-wrap:hover .portfolio-info::after {
bottom: 15px;
right: 15px;
}
  
/*--------------------------------------------------------------
# Portfolio Details
--------------------------------------------------------------*/
.portfolio-details {
padding-top: 40px;
}

.portfolio-details .portfolio-details-slider img {
width: 100%;
}

.portfolio-details .portfolio-details-slider .swiper-pagination {
margin-top: 20px;
position: relative;
}

.portfolio-details .portfolio-details-slider .swiper-pagination .swiper-pagination-bullet {
width: 12px;
height: 12px;
background-color: #fff;
opacity: 1;
border: 1px solid #bb0505;
}

.portfolio-details .portfolio-details-slider .swiper-pagination .swiper-pagination-bullet-active {
background-color: #bb0505;
}

.portfolio-details .portfolio-info {
padding: 30px;
box-shadow: 0px 0 30px rgba(69, 80, 91, 0.08);
}

.portfolio-details .portfolio-info h3 {
font-size: 22px;
font-weight: 700;
margin-bottom: 20px;
padding-bottom: 20px;
border-bottom: 1px solid #eee;
}

.portfolio-details .portfolio-info ul {
list-style: none;
padding: 0;
font-size: 15px;
}

.portfolio-details .portfolio-info ul li+li {
margin-top: 10px;
}

.portfolio-details .portfolio-description {
padding-top: 30px;
}

.portfolio-details .portfolio-description h2 {
font-size: 26px;
font-weight: 700;
margin-bottom: 20px;
}

.portfolio-details .portfolio-description p {
padding: 0;
}


/* Footer */
#contact a { color: #dcdde1;}
#contact a:hover { color: #ff3030;}
#contact ul.footer-link-list li { padding-top: 10px;}
#contact ul.footer-icons li {
  width: 2.6em;
  height: 2.6em;
  line-height: 2.6em;
}
#contact ul.footer-icons li:hover {
  background-color: #cfd6e1;
  transition: .5s;
}
#contact ul.footer-icons li:hover i {
  color: #212934;
  transition: .5s;
}
#contact .border-light { border-color: #000000 !important;}

#logofooter {
    margin-top: 3%;
    height: 10%;
    width: 10%;
}

